Subject: bug#17392: 24.3.90; cursor blinks faster and faster

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 May 2014 19:16:51 +0300

Maybe it was unclear what I meant by my original comment, so let me
try to clarify.

I thought that perhaps what you see is not a real problem, but rather
an artifact of how Emacs processes timers, in particular the fact that
the list of timers is copied before traversing it.  So if, for
example, some timer cancels or modifies another timer, your defadvice
will see the canceled/modified timer, whereas the copy of the list
still contains the original timer.

So I'm asking whether you are sure what you see is a real problem, and
not some artifact of how you look for a problem.